JceSymmetricKeyUnwrapper (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.operator.jcajce

## Class JceSymmetricKeyUnwrapper

- java.lang.Object
- - org.bouncycastle.operator.SymmetricKeyUnwrapper
  - - org.bouncycastle.operator.jcajce.JceSymmetricKeyUnwrapper

- All Implemented Interfaces:
    KeyUnwrapper

      public class JceSymmetricKeyUnwrapper
      extends SymmetricKeyUnwrapper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JceSymmetricKeyUnwrapper(org.bouncycastle.asn1.x509.AlgorithmIdentifier algorithmIdentifier, javax.crypto.SecretKey secretKey)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GenericKey` | `generateUnwrappedKey(org.bouncycastle.asn1.x509.AlgorithmIdentifier encryptedKeyAlgorithm, byte[] encryptedKey)`
    `JceSymmetricKeyUnwrapper` | `setProvider(java.security.Provider provider)`
    `JceSymmetricKeyUnwrapper` | `setProvider(java.lang.String providerName)`

    - ### Methods inherited from class org.bouncycastle.operator.SymmetricKeyUnwrapper

      `getAlgorithmIdentifier`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JceSymmetricKeyUnwrapper

          public JceSymmetricKeyUnwrapper(org.bouncycastle.asn1.x509.AlgorithmIdentifier algorithmIdentifier,
                                  javax.crypto.SecretKey secretKey)

  - ### Method Detail

    - #### setProvider

          public JceSymmetricKeyUnwrapper setProvider(java.security.Provider provider)

    - #### setProvider

          public JceSymmetricKeyUnwrapper setProvider(java.lang.String providerName)

    - #### generateUnwrappedKey

          public GenericKey generateUnwrappedKey(org.bouncycastle.asn1.x509.AlgorithmIdentifier encryptedKeyAlgorithm,
                                        byte[] encryptedKey)
                                          throws OperatorException

      Throws:
        `OperatorException`